## org.eclipse.emf.cdo.spi.server
Class QueryHandlerFactory

    java.lang.Object
      org.eclipse.net4j.util.factory.Factory
          org.eclipse.emf.cdo.spi.server.QueryHandlerFactory

All Implemented Interfaces:
  org.eclipse.net4j.util.factory.IFactory

    public abstract class QueryHandlerFactory

extends org.eclipse.net4j.util.factory.Factory

Since:
  2.0

Field Summary
`static java.lang.String` `PRODUCT_GROUP`

Constructor Summary
`QueryHandlerFactory(java.lang.String language)`

Method Summary

Methods inherited from class org.eclipse.net4j.util.factory.Factory
`getDescriptionFor, getKey, getProductGroup, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.net4j.util.factory.IFactory
`create`

Field Detail

### PRODUCT_GROUP

    public static final java.lang.String PRODUCT_GROUP

See Also:
  Constant Field Values

Constructor Detail

### QueryHandlerFactory

    public QueryHandlerFactory(java.lang.String language)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.